mscorlib 2.0.0.0 4.0.0.0 System.Security.AccessControl.CommonAcl To be added.

Represents a System Access Control List (SACL).

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified values.

  true if the new object is a container.
  true if the new object is a directory object Access Control List (ACL).
  The number of Access Control Entries (ACEs) this object can contain. This number is to be used only as a hint.
- Constructor
  2.0.0.0
  4.0.0.0

  The Access Control Entries (ACEs) in the object are cloned.

  Initializes a new instance of the class with the specified values from the specified object.

  true if the new object is a container.
  true if the new object is a directory object Access Control List (ACL).
  The underlying object for the new object. Specify null to create an empty ACL.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified values.

  true if the new object is a container.
  true if the new object is a directory object Access Control List (ACL).
  The revision level of the new object.
  The number of Access Control Entries (ACEs) this object can contain. This number is to be used only as a hint.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  Adding an audit rule might cause one or more existing Access Control Entries (ACEs) to be combined.

  Adds an audit rule to the current object.

  The type of audit rule to add. The for which to add an audit rule. The access mask for the new audit rule. Flags that specify the inheritance properties of the new audit rule. Flags that specify the inheritance propagation properties for the new audit rule.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added.

  Adds an audit rule with the specified settings to the current object. Use this method for directory object Access Control Lists (ACLs) when specifying the object type or the inherited object type for the new audit rule.

  The type of audit rule to add. The for which to add an audit rule. The access mask for the new audit rule. Flags that specify the inheritance properties of the new audit rule. Flags that specify the inheritance propagation properties for the new audit rule. Flags that specify if the and parameters contain non-null values. The identity of the class of objects to which the new audit rule applies. The identity of the class of child objects which can inherit the new audit rule.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` `` ``

  Audit removal is accomplished by using a complex algorithm that might add ACEs in addition to removing them.

  Removes the specified audit rule from the current object.

  true if this method successfully removes the specified audit rule; otherwise, false.

  The type of audit rule to remove. The for which to remove an audit rule. The access mask for the rule to be removed. Flags that specify the inheritance properties of the rule to be removed. Flags that specify the inheritance propagation properties for the rule to be removed.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` `` `` `` `` ``

  Audit removal is accomplished by using a complex algorithm that might add ACEs in addition to removing them.

  Removes the specified audit rule from the current object. Use this method for directory object Access Control Lists (ACLs) when specifying the object type or the inherited object type.

  true if this method successfully removes the specified audit rule; otherwise, false.

  The type of audit rule to remove. The for which to remove an audit rule. The access mask for the rule to be removed. Flags that specify the inheritance properties of the rule to be removed. Flags that specify the inheritance propagation properties for the rule to be removed. Flags that specify if the and parameters contain non-null values. The identity of the class of objects to which the removed audit control rule applies. The identity of the class of child objects which can inherit the removed audit rule.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added.

  Removes the specified audit rule from the current object.

  The type of audit rule to remove. The for which to remove an audit rule. The access mask for the rule to be removed. Flags that specify the inheritance properties of the rule to be removed. Flags that specify the inheritance propagation properties for the rule to be removed.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added.

  Removes the specified audit rule from the current object. Use this method for directory object Access Control Lists (ACLs) when specifying the object type or the inherited object type.

  The type of audit rule to remove. The for which to remove an audit rule. The access mask for the rule to be removed. Flags that specify the inheritance properties of the rule to be removed. Flags that specify the inheritance propagation properties for the rule to be removed. Flags that specify if the and parameters contain non-null values. The identity of the class of objects to which the removed audit control rule applies. The identity of the class of child objects which can inherit the removed audit rule.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  This method removes all existing Access Control Entries (ACEs) that match both specified object and the specified audit condition.

  Sets the specified audit rule for the specified object.

  The audit condition to set. The for which to set an audit rule. The access mask for the new audit rule. Flags that specify the inheritance properties of the new audit rule. Flags that specify the inheritance propagation properties for the new audit rule.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` ``

  This method removes all existing Access Control Entries (ACEs) that match both specified object and the specified audit condition.

  Sets the specified audit rule for the specified object. Use this method for directory object Access Control Lists (ACLs) when specifying the object type or the inherited object type.

  The audit condition to set. The for which to set an audit rule. The access mask for the new audit rule. Flags that specify the inheritance properties of the new audit rule. Flags that specify the inheritance propagation properties for the new audit rule. Flags that specify if the and parameters contain non-null values. The identity of the class of objects to which the new audit rule applies. The identity of the class of child objects which can inherit the new audit rule.